Subject: Re: [PATCH] cxl: Add cxl_read_adapter_vpd() to the kernel API

From: Michael Neuling <[email-masked]>
Date: Fri, 22 Jan 2016 11:38:50 +1100

On Thu, 2016-01-21 at 19:48 +0100, Frederic Barrat wrote:
> 
> Le 20/01/2016 03:20, Michael Neuling a écrit :
> > The only thing I'm a bit concerned about is are we going to end up
> > duplicating a lot of the linux PCI API, but I guess we are only going
> > to do this for things the papr HCALL interface mimics.
> 
> There are actually very few operations we can do on the adapter with 
> hcalls. papr defines 'reset', 'read the VPD' and flashing a new image on 
> the card. So we'll soon run out of APIs to mimic.
> 
> I guess it means the usage of cxl_get_phys_dev() should be discouraged, 
> since it's going to lead to different behaviors between bare-metal and 
> powerVM guest. Was there another expected use case for a kernel driver 
> other than accessing the VPD?

It was just for VPD.  I figured it was the easiest way to add it. Maybe
it's worth getting rid of it in favour of VPD only.

If you want to remove it I'd be happy, but you'll need to coordinate
with the cxlflash driver.  You can probably just write the patch for
them and then get their ACK on it.

Thanks again.

Mikey